﻿using SushiBarContracts.Attributes;
using SushiBarDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SushiBarContracts.ViewModels
{
    public class SushiViewModel : ISushiModel
    {
        [Column(visible: false)]
        public int Id { get; set; }
        [Column(title: "Название суши", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
        public string SushiName { get; set; } = string.Empty;
        [Column(title: "Цена", width: 70)]
        public double Price { get; set; }
        [Column(visible: false)]
        public Dictionary<int, (IComponentModel, int)> SushiComponents
        {
            get;
            set;
        } = new();

    }
}

